## org.freedesktop.NetworkManager.PPP

org.freedesktop.NetworkManager.PPP

## Methods

    NeedSecrets  (OUT s     username,
                  OUT s     password);
    SetIp4Config (IN  a{sv} config);
    SetIp6Config (IN  a{sv} config);
    SetState     (IN  u     state);

## Description

## Method Details

### The NeedSecrets() method

    NeedSecrets (OUT s username,
                 OUT s password);

`OUT s `username``: |
`OUT s `password``: |

### The SetIp4Config() method

    SetIp4Config (IN  a{sv} config);

`IN a{sv} `config``: |

### The SetIp6Config() method

    SetIp6Config (IN  a{sv} config);

`IN a{sv} `config``: |

### The SetState() method

    SetState (IN  u state);

`IN u `state``: |